Update a agreement account link
Update the agreement account link
PATCH
/
v1
/
priceagreement
/
link
/
{id}
Update a agreement account link
curl --request PATCH \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/priceagreement/link/{id}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"priceAgreementId": "<string>",
"validTo": "2022-05-12T13:18:05Z"
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/priceagreement/link/{id}"
payload = {
"accountId": "<string>",
"priceAgreementId": "<string>",
"validTo": "2022-05-12T13:18:05Z"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
priceAgreementId: '<string>',
validTo: '2022-05-12T13:18:05Z'
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/priceagreement/link/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the agreement link you want to update
Query Parameters
The audit user to log the request
Body
application/json
Request information needed to update the price agreement
The id of the card that you want to connect to a price agreement
Maximum string length:
64The primary key of the price agreement
Maximum string length:
64The RFC 3339 format date and time when this price list should stop to be active. Cannot be greater than 'validFrom' of any other price list with the same 'code'. Can be null, which means this price list is active until this field is set
Example:
"2022-05-12T13:18:05Z"
Was this page helpful?
Previous
Create a new price listThis operation will create a new price list for the repricing process to use.
Next
⌘I
Update a agreement account link

